#include "misc/utils.h"

#ifndef PAGE_SIZE
#define PAGE_SIZE 4096
#endif

uint64_t Utilities::get_blocks_from_size(uint64_t blocksize, uint64_t size)
{
    return (size + (blocksize - 1)) / blocksize;
}

extern "C" uint64_t asm_get_rflags();
uint64_t Utilities::get_rflags()
{
    return asm_get_rflags();
}

uint64_t Utilities::get_top_of_stack(uint64_t bottom, uint64_t stack_pages)
{
    return bottom + (stack_pages * PAGE_SIZE) - sizeof(uintptr_t);
}